Bug 1733421 - Provide llc-7 and opt-7 symlinks
Summary: Provide llc-7 and opt-7 symlinks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: llvm7.0
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-26 04:08 UTC by Jens Petersen
Modified: 2020-02-26 17:58 UTC (History)
4 users (show)

Fixed In Version: llvm7.0-7.0.1-5.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-26 17:58:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Jens Petersen 2019-07-26 04:08:18 UTC
Description of problem:
It seems Debian has switched since 7.0 to providing /usr/bin/llc-7 and
/usr/bin/opt-7 in its llvm-7 package equivalent to this package.
It would be nice for compatibility if we also provided such symlinks.

Steps to Reproduce:
1. rpm -ql llvm7.0 | grep bin/llc-7

Actual results:
/usr/bin/llc-7.0

Expected results:
IWBNI we also provided /usr/bin/llc-7

Additional info:
See
https://packages.debian.org/sid/amd64/llvm-7/filelist
compared to
https://packages.debian.org/sid/amd64/llvm-6.0/filelist

I can take a stab some time at a patch to do this if that helps.

Comment 1 Tom Stellard 2019-07-26 04:16:26 UTC
llvm7.0 is designed to be a compatibility package to help packages move from 7->8.  Is there some reason you need llc-7 and can't use llvm 8?  Or are you saying we should make this change in the main package too?

Comment 2 Jens Petersen 2019-07-30 05:53:15 UTC
I need llvm7.0 for ghc-8.6, which is coming to F31 soon hopefully.

I had to patch it to recognize llc-7.0 instead of llc-7.

Comment 3 Jens Petersen 2019-07-30 05:54:30 UTC
All ghc version are tied to specific llvm major versions.

Comment 4 Tom Stellard 2019-07-31 14:25:41 UTC
(In reply to Jens Petersen from comment #2)
> I need llvm7.0 for ghc-8.6, which is coming to F31 soon hopefully.
> 
> I had to patch it to recognize llc-7.0 instead of llc-7.

Oh, I get it now, we currently use -7.0 as the version suffix and you need -7.  That seems fine to me.

Comment 5 Fedora Update System 2019-08-23 13:56:46 UTC
FEDORA-2019-481514fdef has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-481514fdef

Comment 6 Fedora Update System 2019-08-24 01:36:21 UTC
llvm7.0-7.0.1-5.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-481514fdef

Comment 7 Fedora Update System 2019-09-01 06:44:01 UTC
llvm7.0-7.0.1-5.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Jens Petersen 2019-09-02 05:38:35 UTC
Can we do it for F31+ too, please?

(I can also help if needed.)

Comment 9 Fedora Admin XMLRPC Client 2020-02-07 04:17:47 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 10 Elliott Sales de Andrade 2020-02-15 22:56:29 UTC
I built this so that NEVRs will be in sync again, but I don't intend to take up full maintainership on this package.

Comment 11 Fedora Update System 2020-02-16 07:47:01 UTC
FEDORA-2020-4c82a03915 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4c82a03915

Comment 12 Fedora Update System 2020-02-17 01:03:04 UTC
llvm7.0-7.0.1-5.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4c82a03915

Comment 13 Fedora Update System 2020-02-26 17:58:49 UTC
llvm7.0-7.0.1-5.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.